Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 330693 - app-misc/tomboy-1.2.1 fails to build due to test failure in fr documentation
Summary: app-misc/tomboy-1.2.1 fails to build due to test failure in fr documentation
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-01 11:36 UTC by Neil Leathers
Modified: 2011-02-08 18:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch file to fix help/fr/fr.po and help/lt/lt.po (tomboy-1.2.1-xmllint-validation.patch,3.45 KB, patch)
2010-08-13 19:10 UTC, Neil Leathers
Details | Diff
Proposed ebuild to fix this bug (tomboy-1.2.1-r1.ebuild,1.55 KB, text/plain)
2010-08-13 19:11 UTC, Neil Leathers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Leathers 2010-08-01 11:36:34 UTC
During the build xmllint is run on the documentation for app-misc/tomboy-1.2.1 and detects a validation error in the fr documentation.

Reproducible: Always

Steps to Reproduce:
1. Set LINGUAS to include fr in /etc/make.conf (LINGUAS="en en_CA en_GB en_US fr")
2. Emerge app-misc/tomboy-1.2.1
3.

Actual Results:  
Making check in help
make[1]: Entering directory `/var/tmp/portage/app-misc/tomboy-1.2.1/work/tomboy-1.2.1/help'
xmllint --noout --noent --path C:./C --xinclude --postvalid ./C/tomboy.xml
xmllint --noout --noent --path en_GB:./en_GB --xinclude --postvalid ./en_GB/tomboy.xml
xmllint --noout --noent --path fr:./fr --xinclude --postvalid ./fr/tomboy.xml
./fr/tomboy.xml:804: element menuchoice: validity error : Element menuchoice content does not follow the DTD, expecting (shortcut? , (guibutton | guiicon | guilabel | guimenu | guimenuitem | guisubmenu | interface)+), got (guimenuitem CDATA)
./fr/tomboy.xml:934: element para: validity error : Element b is not declared in para list of possible children
./fr/tomboy.xml:934: element b: validity error : No declaration for element b
Document ./fr/tomboy.xml does not validate
make[1]: *** [check-doc-docs] Error 3
make[1]: Leaving directory `/var/tmp/portage/app-misc/tomboy-1.2.1/work/tomboy-1.2.1/help'
make: *** [check-recursive] Error 1
 * ERROR: app-misc/tomboy-1.2.1 failed:


Expected Results:  
Package to build successfully

Neither the use flags "doc" nor "test" are exposed so there isn't an easy workaround to force a flag in /etc/portage/package.use.mask and this blocks merging gnome-base/gnome
Comment 1 Neil Leathers 2010-08-01 12:09:23 UTC
The errors are in the file help/fr/fr.po. Also, the file help/lt/lt.po has errors. I guess this should be pushed up stream?

computer tomboy-1.2.1 # diff ~/fr.po.original help/fr/fr.po 
1454c1454
< "guimenuitem></menuchoice."
---
> "guimenuitem></menuchoice>."
1777c1777
< "<b>CommeCellesCi</b>. Un clic sur ce lien crée une nouvelle note dont le "
---
> "<literal>CommeCellesCi</literal>. Un clic sur ce lien crée une nouvelle note dont le "
computer tomboy-1.2.1 # diff ~/lt.po.original help/lt/lt.po 
693c693
< "<qoute>Egzaminas</qoute>, galite pažymėti šį tekstą pele ir spustelėti "
---
> "<quote>Egzaminas</quote>, galite pažymėti šį tekstą pele ir spustelėti "
695c695
< "pavadinimu <qoute>Egzaminas</qoute>. Esamame raštelyje taip pat bus sukurtas "
---
> "pavadinimu <quote>Egzaminas</quote>. Esamame raštelyje taip pat bus sukurtas "
697c697
< "<qoute>Egzaminas</qoute>."
---
> "<quote>Egzaminas</quote>."
736c736
< "Veiksmas <qoute>Atšaukti</qoute> Tomboy programoje galimas dėl šio meniu "
---
> "Veiksmas <quote>Atšaukti</quote> Tomboy programoje galimas dėl šio meniu "
753,754c753,754
< "Funkcija <qoute>Pakartoti</qoute> yra naudojama norint grąžinti pakeitimus, "
< "atšauktus naudojant funkciją <qoute>Atšaukti</qoute>. Norėdami pakartoti "
---
> "Funkcija <quote>Pakartoti</quote> yra naudojama norint grąžinti pakeitimus, "
> "atšauktus naudojant funkciją <quote>Atšaukti</quote>. Norėdami pakartoti "
1803c1803
< "čia</qoute>, kuris yra iš anksto įdiegtas Tomboy programoje."
---
> "čia</quote>, kuris yra iš anksto įdiegtas Tomboy programoje."
Comment 2 Neil Leathers 2010-08-13 19:10:33 UTC
Created attachment 242825 [details, diff]
Patch file to fix help/fr/fr.po and help/lt/lt.po
Comment 3 Neil Leathers 2010-08-13 19:11:35 UTC
Created attachment 242827 [details]
Proposed ebuild to fix this bug
Comment 4 Neil Leathers 2010-08-13 19:28:21 UTC
Upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=626872
Comment 5 Pacho Ramos gentoo-dev 2010-09-07 21:17:59 UTC
+  07 Sep 2010; Pacho Ramos <pacho@gentoo.org> tomboy-1.2.1.ebuild,
+  +files/tomboy-1.2.1-xmllint-validation.patch:
+  Fix xmllint validation (bug #330693 by Neil Leathers) and add missing
+  gnome2_src_prepare.
+